Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81833 - CMD6xx ide-cd dma hang
Summary: CMD6xx ide-cd dma hang
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 15:27 UTC by Péter, Soós
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-05 11:13:25 UTC


Attachments (Terms of Use)

Description Péter, Soós 2003-01-14 15:27:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; hu-HU; rv:1.2) Gecko/20021206

Description of problem:
HP OmniBook 500 have a docking bay with optional CD or DVD device. Ide dma mode
do not work on these drives. If you enable dma mode the laptop hangs. There is a
patch for it at URL ftp://gsyprf10.external.hp.com/kernels/ob500/diff.idecd-dma

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with RedHat kernel
2. Enable DMA mode for CD-ROM


Actual Results:  System hang.

Expected Results:  DMA mode works well

Additional info:

Comment 1 Péter, Soós 2003-02-10 16:04:45 UTC
This bug also appeared in the latest errata kernels for both RedHat Linux 7.x
and 8.0.

Comment 2 Péter, Soós 2003-04-09 15:39:42 UTC
It seems all CMD6xx chipset based machin affected by this bug.

Comment 3 Péter, Soós 2003-05-05 11:13:25 UTC
It seems to work in RedHat Linux 9 with latest errata kernel (2.4.20-9)


Note You need to log in before you can comment on or make changes to this bug.